Name:           python-module-EnvisageCore
Version:        3.1.2
Release:        alt1.svn20090721
Summary:        Extensible Application Framework

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/EnvisageCore
Source:        http://pypi.python.org/packages/source/E/EnvisageCore/EnvisageCore-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildArch:      noarch
BuildRequires:  python-module-setuptools, python-devel, python-module-sphinx
BuildPreReq: python-module-setupdocs
Requires:       python-module-apptools

%description
Envisage is a Python-based framework for building extensible
applications, that is, applications whose functionality can be
extended by adding "plug-ins". Envisage provides a standard mechanism
for features to be added to an application, whether by the original
developer or by someone else.

%prep
%setup -n EnvisageCore-%version

%build
%python_build

%install
%python_install -O1
sed -i 's|\.dev$||' \
	%buildroot/%python_sitelibdir/EnvisageCore-%version-*.egg-info/requires.txt

%files
%doc *.txt examples build/docs/html
%python_sitelibdir/*

%changelog
* Tue Oct 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090721
- Version 3.1.2

* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt2.1
- Fixed versions of requirements

* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt2
- Fixed build with python 2.6

* Thu Oct 01 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt1
- Initial build for Sisyphus (thnx Valery Pipin)

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Updated

* Sat May 02 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-2
- Added examples directory to %%doc, Added python-configobj &
- python-AppTools in Requires field.

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-1
- Initial package
